Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 25017)
+++ /trunk/profile.php	(revision 25018)
@@ -202,5 +202,5 @@
       if (!empty($_POST['use_new_pwd']))
       {
-        array_push($fields, $conf['user_fields']['password']);
+        $fields[] = $conf['user_fields']['password'];
         // password is hashed with function $conf['password_hash']
         $data{$conf['user_fields']['password']} = $conf['password_hash']($_POST['use_new_pwd']);
@@ -212,10 +212,10 @@
         if ($_POST['username'] != $userdata['username'] and get_userid($_POST['username']))
         {
-          array_push($page['errors'], l10n('this login is already used'));
+          $page['errors'][] = l10n('this login is already used');
           unset($_POST['redirect']);
         }
         else
         {
-          array_push($fields, $conf['user_fields']['username']);
+          $fields[] = $conf['user_fields']['username'];
           $data{$conf['user_fields']['username']} = $_POST['username'];
           
@@ -263,5 +263,5 @@
       if ($conf['activate_comments'])
       {
-        array_push($fields, 'show_nb_comments');
+        $fields[] = 'show_nb_comments';
       }
 
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 25017)
+++ /trunk/register.php	(revision 25018)
@@ -45,10 +45,10 @@
   {
 		set_status_header(403);
-    array_push($page['errors'], 'Invalid/expired form key');
+    $page['errors'][] = l10n('Invalid/expired form key');
   }
 
   if ($_POST['password'] != $_POST['password_conf'])
   {
-    array_push($page['errors'], l10n('please enter your password again'));
+    $page['errors'][] = l10n('please enter your password again');
   }
 
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 25017)
+++ /trunk/search.php	(revision 25018)
@@ -150,5 +150,5 @@
   else
   {
-    array_push($page['errors'], l10n('Empty query. No criteria has been entered.'));
+    $page['errors'][] = l10n('Empty query. No criteria has been entered.');
   }
 }
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 25017)
+++ /trunk/search_rules.php	(revision 25018)
@@ -139,5 +139,5 @@
     while ($row = pwg_db_fetch_assoc($result))
     {
-      array_push($categories, $row);
+      $categories[] = $row;
     }
   }
Index: /trunk/tags.php
===================================================================
--- /trunk/tags.php	(revision 25017)
+++ /trunk/tags.php	(revision 25018)
@@ -132,15 +132,8 @@
     }
 
-    array_push(
-      $letter['tags'],
-      array_merge(
-        $tag,
-        array(
-          'URL' => make_index_url(
-            array(
-              'tags' => array($tag),
-              )
-            ),
-          )
+    $letter['tags'][] = array_merge(
+      $tag,
+      array(
+        'URL' => make_index_url(array('tags' => array($tag))),
         )
       );
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 25017)
+++ /trunk/upgrade.php	(revision 25018)
@@ -74,5 +74,5 @@
     if (preg_match('/^'.PREFIX_TABLE.'/', $row[0]))
     {
-      array_push($tables, $row[0]);
+      $tables[] = $row[0];
     }
   }
@@ -101,5 +101,5 @@
     while ($row = pwg_db_fetch_row($result))
     {
-      array_push($columns_of[$table], $row[0]);
+      $columns_of[$table][] = $row[0];
     }
   }
@@ -390,13 +390,10 @@
       if (!@file_put_contents($config_file, $config_file_contents))
       {
-        array_push(
-          $page['infos'],
-          sprintf(
-            l10n('In <i>%s</i>, before <b>?></b>, insert:'),
-            PWG_LOCAL_DIR.'config/database.inc.php'
-            )
-          .'<p><textarea rows="4" cols="40">'
-          .implode("\r\n" , $mysql_changes).'</textarea></p>'
-          );
+        $page['infos'][] = l10n(
+          'In <i>%s</i>, before <b>?></b>, insert:',
+          PWG_LOCAL_DIR.'config/database.inc.php'
+          )
+        .'<p><textarea rows="4" cols="40">'
+        .implode("\r\n" , $mysql_changes).'</textarea></p>';
       }
     }
@@ -431,7 +428,5 @@
       );
 
-    array_push($page['infos'],
-      l10n('Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.')
-      );
+    $page['infos'][] = l10n('Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.');
 
     // Save $page['infos'] in order to restore after maintenance actions
